summaryrefslogtreecommitdiff
path: root/eclass/python-utils-r1.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2020-04-30 12:37:28 +0100
committerV3n3RiX <venerix@redcorelinux.org>2020-04-30 12:37:28 +0100
commitbe9d77d3ac6af8f4ead98d89706f356b65578c93 (patch)
treef82923fbca262493e83dd1382e561a2fae24cc46 /eclass/python-utils-r1.eclass
parent7ec0832ab5dafbf70de83e0c2f3ee740416a0950 (diff)
parent6faaec2b812feecd9c8751b8a19004da4a17ea5b (diff)
Merge branch 'edge' into next
Diffstat (limited to 'eclass/python-utils-r1.eclass')
-rw-r--r--eclass/python-utils-r1.eclass10
1 files changed, 7 insertions, 3 deletions
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index 77982c9b9c76..e85aefda792a 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -341,10 +341,14 @@ _python_export() {
local val
case "${impl}" in
- python*)
- # python-2.7, python-3.2, etc.
+ python2*|python3.6|python3.7*)
+ # python* up to 3.7
val=$($(tc-getPKG_CONFIG) --libs ${impl/n/n-}) || die
;;
+ python*)
+ # python3.8+
+ val=$($(tc-getPKG_CONFIG) --libs ${impl/n/n-}-embed) || die
+ ;;
*)
die "${impl}: obtaining ${var} not supported"
;;
@@ -378,7 +382,7 @@ _python_export() {
python3.6)
PYTHON_PKG_DEP=">=dev-lang/python-3.6.10:3.6";;
python3.7)
- PYTHON_PKG_DEP=">=dev-lang/python-3.7.6:3.7";;
+ PYTHON_PKG_DEP=">=dev-lang/python-3.7.7-r1:3.7";;
python3.8)
PYTHON_PKG_DEP=">=dev-lang/python-3.8.2:3.8";;
pypy3)